classification
Title: Clean up docs for Union and GenericAlias
Type: Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, gvanrossum, kj, miss-islington
Priority: normal Keywords: patch

Created on 2020-10-29 15:39 by kj, last changed 2020-10-31 20:28 by gvanrossum. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23029 merged kj, 2020-10-29 15:43
PR 23030 merged kj, 2020-10-29 17:26
PR 23033 merged miss-islington, 2020-10-30 04:01
PR 23039 merged kj, 2020-10-30 16:11
PR 23061 merged kj, 2020-10-31 13:05
PR 23063 merged kj, 2020-10-31 16:25
Messages (11)
msg379876 - (view) Author: Ken Jin (kj) * Date: 2020-10-29 15:39
This is an umbrella issue to clean up docs for Union and GenericAlias. To-do (not in order):

1. Update links in typing, subscription and union to point to GenericAlias.

2. Park GenericAlias and Union under a new section 'Type Annotation Types' in stdtypes for 3.10. The reason is to follow with the rest of the stdtypes' doc convention.

3. Consistency nitpicks for Union's docs.
msg379878 - (view) Author: Ken Jin (kj) * Date: 2020-10-29 16:02
4. types.GenericAlias's __call__ signature of (origin, args) is not documented anywhere, I'll create a PR to types.rst eventually.
msg379912 - (view) Author: miss-islington (miss-islington) Date: 2020-10-30 04:01
New changeset 9129af6050b747f288baa9d4e7d43031647ed222 by kj in branch 'master':
bpo-42198: Link to GenericAlias in typing and expressions (GH-23030)
https://github.com/python/cpython/commit/9129af6050b747f288baa9d4e7d43031647ed222
msg379914 - (view) Author: miss-islington (miss-islington) Date: 2020-10-30 04:23
New changeset a39068bf48766e5520e175eae8cda33531e16039 by Miss Skeleton (bot) in branch '3.9':
bpo-42198: Link to GenericAlias in typing and expressions (GH-23030)
https://github.com/python/cpython/commit/a39068bf48766e5520e175eae8cda33531e16039
msg380041 - (view) Author: miss-islington (miss-islington) Date: 2020-10-31 06:02
New changeset bcbf758476c1148993ddf4b54d3f6169b973ee1c by kj in branch 'master':
bpo-42198: Document __new__ for types.GenericAlias (GH-23039)
https://github.com/python/cpython/commit/bcbf758476c1148993ddf4b54d3f6169b973ee1c
msg380072 - (view) Author: miss-islington (miss-islington) Date: 2020-10-31 15:05
New changeset dbaa07db671c4e5842629c8be912f2b0370be794 by kj in branch '3.9':
[3.9] bpo-42198: Document __new__ for types.GenericAlias (GH-23039) (GH-23061)
https://github.com/python/cpython/commit/dbaa07db671c4e5842629c8be912f2b0370be794
msg380073 - (view) Author: miss-islington (miss-islington) Date: 2020-10-31 15:08
New changeset d21cb2d5ee56b8975d92e2ee094aba81f0801be5 by kj in branch 'master':
bpo-42198: Improve consistency of Union docs (GH-23029)
https://github.com/python/cpython/commit/d21cb2d5ee56b8975d92e2ee094aba81f0801be5
msg380074 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-31 15:09
Thanks for all your efforts, KJ! Can this issue be closed?
msg380075 - (view) Author: Ken Jin (kj) * Date: 2020-10-31 15:23
Guido, I have one last one -- "2. Park GenericAlias and Union under a new section 'Type Annotation Types' in stdtypes for 3.10". After which I'll close this issue. 

Thanks for reviewing my PRs so quickly!
msg380097 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-31 20:25
New changeset 3bf0d02f2817c48b6ee61a95b52a6d76ad543be9 by kj in branch 'master':
bpo-42198: New section in stdtypes for type annotation types (GH-23063)
https://github.com/python/cpython/commit/3bf0d02f2817c48b6ee61a95b52a6d76ad543be9
msg380098 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-31 20:28
Thanks Ken Ji for all your help! I'll close this now.
History
Date User Action Args
2020-10-31 20:28:12gvanrossumsetstatus: open -> closed
resolution: fixed
messages: + msg380098

stage: patch review -> resolved
2020-10-31 20:25:52gvanrossumsetmessages: + msg380097
2020-10-31 16:25:14kjsetpull_requests: + pull_request21982
2020-10-31 15:23:09kjsetmessages: + msg380075
2020-10-31 15:09:28gvanrossumsetmessages: + msg380074
2020-10-31 15:08:20miss-islingtonsetmessages: + msg380073
2020-10-31 15:05:39miss-islingtonsetmessages: + msg380072
2020-10-31 13:05:08kjsetpull_requests: + pull_request21980
2020-10-31 06:02:45miss-islingtonsetmessages: + msg380041
2020-10-30 16:11:41kjsetpull_requests: + pull_request21958
2020-10-30 04:23:42miss-islingtonsetmessages: + msg379914
2020-10-30 04:01:38miss-islingtonsetpull_requests: + pull_request21952
2020-10-30 04:01:37miss-islingtonsetnosy: + miss-islington
messages: + msg379912
2020-10-29 17:26:02kjsetpull_requests: + pull_request21949
2020-10-29 16:02:21kjsetmessages: + msg379878
2020-10-29 15:43:34kjsetkeywords: + patch
stage: patch review
pull_requests: + pull_request21948
2020-10-29 15:39:44kjcreate